Skip to main content
POST
/
generate
/
image
/
bytedance
/
seedream-5-lite
Seedream 5 Lite
curl --request POST \
  --url https://api.krea.ai/generate/image/bytedance/seedream-5-lite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Majestic fortress in the clouds, winged guards patrolling, reminiscent of celestial anime settings.",
  "width": 1024,
  "height": 1024
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.krea.ai/llms.txt

Use this file to discover all available pages before exploring further.

Pricing

Fixed API prices in USD.
Price: $0.0368 per request
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
styleImagesstyle_images2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
Minimum string length: 1
width
number
required
Required range: x <= 4096
height
number
required
Required range: x <= 4096
seed
number
default:1337
style_images
object[]

Image prompts to use for the generation

Maximum array length: 14

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required